Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQVGroupBox Class Reference

The TQVGroupBox widget organizes a group of widgets in a vertical column. More...

`#include <ntqvgroupbox.h>`

Inherits TQGroupBox.

List of all member functions.

## Public Members

- TQVGroupBox ( TQWidget * parent = 0, const char * name = 0 )
- TQVGroupBox ( const TQString & title, TQWidget * parent = 0, const char * name = 0 )
- ~TQVGroupBox ()

## Detailed Description

The TQVGroupBox widget organizes a group of widgets in a vertical column.

TQVGroupBox is a convenience class that offers a thin layer on top of TQGroupBox. Think of it as a TQVBox that offers a frame with a title.

See also TQHGroupBox, Widget Appearance and Style, Layout Management, and Organizers.

## Member Function Documentation

### TQVGroupBox::TQVGroupBox ( TQWidget * parent = 0, const char * name = 0 )

Constructs a vertical group box with no title.

The parent and name arguments are passed on to the TQWidget constructor.

### TQVGroupBox::TQVGroupBox ( const TQString & title, TQWidget * parent = 0, const char * name = 0 )

Constructs a vertical group box with the title title.

The parent and name arguments are passed on to the TQWidget constructor.

### TQVGroupBox::~TQVGroupBox ()

Destroys the vertical group box, deleting its child widgets.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.